Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencerOutputMap.PropertyValue

    java.lang.Object
      org.modeshape.repository.sequencer.SequencerOutputMap.PropertyValue

All Implemented Interfaces:
  Comparable<SequencerOutputMap.PropertyValue>

Enclosing class:
  SequencerOutputMap

    @Immutable
    public class SequencerOutputMap.PropertyValue

extends Object
implements Comparable<SequencerOutputMap.PropertyValue>

A property name and value pair. PropertyValue instances have a natural order where the `jcr:primaryType` is first, followed by all other properties in ascending lexicographical order according to the `name`.

Author:
  Randall Hauch

Constructor Summary
`protected` | `SequencerOutputMap.PropertyValue(Name propertyName, Object value)`

Method Summary
`int` | `compareTo(SequencerOutputMap.PropertyValue that)`
`boolean` | `equals(Object obj)`
`Name` | `getName()` Get the property name.
`Object` | `getValue()` Get the property value, which is either a single value or an array of values.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequencerOutputMap.PropertyValue

    protected SequencerOutputMap.PropertyValue(Name propertyName,
                                               Object value)

Method Detail

### getName

    public Name getName()

  Get the property name.

  Returns:
    the property name; never null

### getValue

    public Object getValue()

  Get the property value, which is either a single value or an array of values.

  Returns:
    the property value

### compareTo

    public int compareTo(SequencerOutputMap.PropertyValue that)

  Specified by:
    `compareTo` in interface `Comparable<SequencerOutputMap.PropertyValue>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.